Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Functions

# id.c File Reference

`#include "ruby/ruby.h"`
`#include "id.h"`
Include dependency graph for id.c:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | rb_intern(str) rb_intern_const(str)
## Functions
static void | Init_id (void)

## Define Documentation

#define rb_intern | ( |  | str | ) | rb_intern_const(str)

## Function Documentation

static void Init_id | ( | void |  | ) | `[static]`

Definition at line 17 of file id.c.

References id_core_define_method, id_core_define_singleton_method, id_core_set_method_alias, id_core_set_postexe, id_core_set_variable_alias, id_core_undef_method, idCFUNC, idIFUNC, idNULL, idRespond_to, rb_usascii_encoding(), and REGISTER_SYMID.

Referenced by Init_sym().